NetBSD Problem Report #52444

From www@NetBSD.org  Mon Jul 31 07:49:49 2017
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 3F9E17A173
	for <gnats-bugs@gnats.NetBSD.org>; Mon, 31 Jul 2017 07:49:49 +0000 (UTC)
Message-Id: <20170731074946.F1DAE7A210@mollari.NetBSD.org>
Date: Mon, 31 Jul 2017 07:49:46 +0000 (UTC)
From: dusxmt@gmx.com
Reply-To: dusxmt@gmx.com
To: gnats-bugs@NetBSD.org
Subject: security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
X-Send-Pr-Version: www-1.0

>Number:         52444
>Category:       pkg
>Synopsis:       security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
>Confidential:   no
>Severity:       critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jul 31 07:50:00 +0000 2017
>Last-Modified:  Sat Apr 28 08:15:01 +0000 2018
>Originator:     Marek Benc
>Release:        Current pkgsrc, 31. 7. 2017
>Organization:
>Environment:
NetBSD dooshki-raspi.homenetwork 7.1 NetBSD 7.1 (RPI.201703111743Z) evbarm
>Description:
My machine fails to upgrade security/libgcrypt from 1.7.7 to 1.8.0.

It appears that it attempts to build some code hand-optimized for ARMv8 (configure refers to it as "Try using ARMv8 crypto:    yes"), but my machine is ARMv6, and the compiler catches it and aborts because of it.


Here is a head and tail log:

=> Bootstrap dependency digest>=20010302: found digest-20160304
===> Checking for vulnerabilities in libgcrypt-1.8.0
=> Checksum SHA1 OK for libgcrypt-1.8.0.tar.bz2
=> Checksum RMD160 OK for libgcrypt-1.8.0.tar.bz2
=> Checksum SHA512 OK for libgcrypt-1.8.0.tar.bz2
===> Installing dependencies for libgcrypt-1.8.0
=> Tool dependency libtool-base>=2.4.2nb9: found libtool-base-2.4.6
=> Build dependency cwrappers>=20150314: found cwrappers-20170611
=> Full dependency libgpg-error>=1.13: found libgpg-error-1.27
===> Overriding tools for libgcrypt-1.8.0
===> Extracting for libgcrypt-1.8.0
===> Patching for libgcrypt-1.8.0
=> Applying pkgsrc patches for libgcrypt-1.8.0
===> Creating toolchain wrappers for libgcrypt-1.8.0
===> Configuring for libgcrypt-1.8.0
=> Fixing rpath flags
=> Modifying GNU configure scripts to avoid --recheck
=> Replacing config-guess with pkgsrc versions
=> Replacing config-sub with pkgsrc versions
=> Replacing install-sh with pkgsrc version
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... build-aux/install-sh -c -d
checking for gawk... /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking build system type... armv6--netbsdelf-eabihf
checking host system type... armv6--netbsdelf-eabihf
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... (cached) yes
checking whether make sets $(MAKE)... (cached) yes
checking for armv6--netbsdelf-eabihf-gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking dependency style of gcc... gcc3
checking for library containing strerror... none required
checking for gawk... (cached) /usr/bin/awk
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for cc for build... gcc
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/pkgsrc/security/libgcrypt/work/.cwrapper/bin/ld
checking if the linker (/usr/pkgsrc/security/libgcrypt/work/.cwrapper/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking how to convert armv6--netbsdelf-eabihf file names to armv6--netbsdelf-eabihf format... func_convert_file_noop
checking how to convert armv6--netbsdelf-eabihf file names to toolchain format... func_convert_file_noop
checking for /usr/pkgsrc/security/libgcrypt/work/.cwrapper/bin/ld option to reload object files... -r
checking for armv6--netbsdelf-eabihf-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... match_pattern /lib[^/]+(\.so|_pic\.a)$
checking for armv6--netbsdelf-eabihf-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for armv6--netbsdelf-eabihf-ar... no
checking for ar... ar
checking for archiver @FILE support... @
checking for armv6--netbsdelf-eabihf-strip... no
checking for strip... strip
checking for armv6--netbsdelf-eabihf-ranlib... no
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for armv6--netbsdelf-eabihf-mt... no
checking for mt... mt
checking if mt is a manifest tool... no
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... rm: conftest*: No such file or directory
yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/pkgsrc/security/libgcrypt/work/.cwrapper/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... rm: conftest*: No such file or directory
no
checking dynamic linker characteristics... NetBSD ld.elf_so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for armv6--netbsdelf-eabihf-windres... no
checking for windres... no
checking whether byte ordering is bigendian... no
checking size of unsigned short... 2
checking size of unsigned int... 4
checking size of unsigned long... 4
checking size of unsigned long long... 8
checking size of void *... 4
checking for uintptr_t... yes
checking for UINT64_C... yes
checking size of uint64_t... 8
checking which symmetric ciphers to include... arcfour blowfish cast5 des aes twofish serpent rfc2268 seed camellia idea salsa20 gost28147 chacha20
checking which public-key ciphers to include... dsa elgamal rsa ecc
checking which message digests to include... crc gostr3411-94  md4 md5 rmd160 sha1 sha256 sha512 sha3 tiger whirlpool stribog blake2
checking which key derivation functions to include... s2k pkdf2 scrypt
checking which random module to use... default
checking whether use of /dev/random is requested... yes
checking whether the experimental random daemon is requested... no
checking whether MPI assembler modules are requested... no
checking whether memory guard is requested... no
checking whether to run large data tests... no
checking whether use of capabilities is requested... no
checking whether a HMAC binary check is requested... no
checking whether jitter entropy support is requested... yes
checking whether padlock support is requested... no
checking whether AESNI support is requested... no
checking whether PCLMUL support is requested... yes
checking whether SSE4.1 support is requested... yes
checking whether DRNG support is requested... yes
checking whether AVX support is requested... yes
checking whether AVX2 support is requested... yes
checking whether NEON support is requested... yes
checking whether ARMv8 Crypto Extension support is requested... yes
checking whether a -O flag munging is requested... yes
checking whether to enable AMD64 as(1) feature detection... yes
checking for gpg-error-config... /usr/pkg/bin/gpg-error-config
checking for GPG Error - version >= 1.25... yes (1.27)
checking for pthread_create in -lpthread... yes
checking for library containing setsockopt... none required
checking for library containing setsockopt... (cached) none required
checking for ANSI C header files... (cached) yes
checking for unistd.h... (cached) yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/msg.h usability... yes
checking sys/msg.h presence... yes
checking for sys/msg.h... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for size_t... yes
checking return type of signal handlers... void
checking whether sys_siglist is declared... yes
checking for pid_t... yes
checking for byte typedef... no
checking for ushort typedef... yes
checking for ulong typedef... yes
checking for u16 typedef... no
checking for u32 typedef... no
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking for socklen_t... yes
checking for __builtin_bswap32... yes
checking for __builtin_bswap64... yes
checking for __builtin_ctz... yes
checking whether the variable length arrays are supported... yes
checking whether the visibility attribute is supported... yes
checking for broken visibility attribute... no
checking for broken alias attribute... no
checking if gcc supports -fvisibility=hidden... yes
checking whether the GCC style aligned attribute is supported... yes
checking whether the GCC style packed attribute is supported... yes
checking whether the GCC style may_alias attribute is supported... yes
checking whether 'asm' assembler keyword is supported... yes
checking whether '__asm__' assembler keyword is supported... yes
checking whether inline assembly memory barrier is supported... yes
checking whether GCC assembler is compatible for ARM assembly implementations... yes
checking whether GCC assembler is compatible for ARMv8/Aarch64 assembly implementations... no
checking for _ prefix in compiled symbols... no
checking architecture and mpi assembler functions... arm
checking whether compiler supports 'ms_abi' function attribute... no
checking whether compiler supports 'sysv_abi' function attribute... no
checking whether GCC inline assembler supports SSSE3 instructions... n/a
checking whether GCC inline assembler supports PCLMUL instructions... n/a
checking whether GCC inline assembler supports SSE4.1 instructions... n/a
checking whether GCC inline assembler supports AVX instructions... n/a
checking whether GCC inline assembler supports AVX2 instructions... n/a
checking whether GCC inline assembler supports BMI2 instructions... n/a
checking whether GCC assembler handles division correctly... no
checking whether GCC assembler handles division correctly with "-Wa,--divide"... no
checking whether GCC assembler is compatible for amd64 assembly implementations... n/a
checking whether GCC assembler is compatible for Intel syntax assembly implementations... n/a
checking whether compiler is configured for ARMv6 or newer architecture... yes
checking whether GCC inline assembler supports NEON instructions... yes
checking whether GCC inline assembler supports AArch32 Crypto Extension instructions... yes
checking whether GCC inline assembler supports AArch64 NEON instructions... n/a
checking whether GCC inline assembler supports AArch64 Crypto Extension instructions... n/a
checking for vprintf... yes
checking for _doprnt... no
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strtoul... yes
checking for memmove... yes
checking for stricmp... no
checking for atexit... yes
checking for raise... yes
checking for strerror... yes
checking for rand... yes
checking for mmap... yes
checking for getpagesize... yes
checking for sysconf... yes
checking for waitpid... yes
checking for wait4... yes
checking for gettimeofday... yes
checking for getrusage... yes
checking for gethrtime... no
checking for clock_gettime... yes
checking for syslog... yes
checking for syscall... yes
checking for fcntl... yes
checking for ftruncate... yes
checking for flockfile... yes
checking for mlock... yes
checking for sysconf... (cached) yes
checking for getpagesize... (cached) yes
checking whether mlock is broken... no
checking for getpid... yes
checking for clock... yes
checking for random device... yes
checking whether non excutable stack support is requested... yes
checking whether assembler supports --noexecstack option... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating m4/Makefile
config.status: creating compat/Makefile
config.status: creating mpi/Makefile
config.status: creating cipher/Makefile
config.status: creating random/Makefile
config.status: creating doc/Makefile
config.status: creating src/Makefile
config.status: creating src/gcrypt.h
config.status: creating src/libgcrypt-config
config.status: creating src/versioninfo.rc
config.status: creating tests/Makefile
config.status: creating tests/hashtest-256g
config.status: creating tests/basic-disable-all-hwf
config.status: creating config.h
config.status: linking mpi/generic/mpih-add1.c to mpi/mpih-add1.c
config.status: linking mpi/generic/mpih-sub1.c to mpi/mpih-sub1.c
config.status: linking mpi/generic/mpih-mul1.c to mpi/mpih-mul1.c
config.status: linking mpi/generic/mpih-mul2.c to mpi/mpih-mul2.c
config.status: linking mpi/generic/mpih-mul3.c to mpi/mpih-mul3.c
config.status: linking mpi/generic/mpih-lshift.c to mpi/mpih-lshift.c
config.status: linking mpi/generic/mpih-rshift.c to mpi/mpih-rshift.c
config.status: linking mpi/generic/mpi-asm-defs.h to mpi/mpi-asm-defs.h
config.status: executing depfiles commands
config.status: executing libtool commands
rm: libtoolT: No such file or directory
config.status: executing gcrypt-conf commands

        Libgcrypt v1.8.0 has been configured as follows:

        Platform:                  NetBSD (armv6--netbsdelf-eabihf)
        Hardware detection module: hwf-arm
        Enabled cipher algorithms: arcfour blowfish cast5 des aes twofish
                                   serpent rfc2268 seed camellia idea salsa20
                                   gost28147 chacha20
        Enabled digest algorithms: crc gostr3411-94 md4 md5 rmd160 sha1
                                   sha256 sha512 sha3 tiger whirlpool stribog
                                   blake2
        Enabled kdf algorithms:    s2k pkdf2 scrypt
        Enabled pubkey algorithms: dsa elgamal rsa ecc
        Random number generator:   default
        Try using jitter entropy:  n/a
        Using linux capabilities:  no
        Try using Padlock crypto:  n/a
        Try using AES-NI crypto:   n/a
        Try using Intel PCLMUL:    n/a
        Try using Intel SSE4.1:    n/a
        Try using DRNG (RDRAND):   n/a
        Try using Intel AVX:       n/a
        Try using Intel AVX2:      n/a
        Try using ARM NEON:        yes
        Try using ARMv8 crypto:    yes

=> Modifying libtool scripts to use pkgsrc libtool
=> Modifying libtool scripts to use pkgsrc depcomp
socklen=`/usr/bin/grep '^#define socklen_t' /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/config.h || true`;  /bin/mv /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/src/gcrypt.h /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/src/gcrypt.h.old;  /usr/bin/sed -e "s,^/\* socklen_t \*/,$socklen,"  /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/src/gcrypt.h.old > /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/src/gcrypt.h
===> Building for libgcrypt-1.8.0
/usr/bin/make  all-recursive
Making all in compat
/bin/sh ../libtool  --tag=CC    --mode=compile gcc -DHAVE_CONFIG_H  -I. -I..  -I../src -I../src -I/usr/pkg/include -I/usr/pkg/include -I/usr/include   -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -fvisibility=hidden -Wall -MT compat.lo -MD -MP -MF .deps/compat.Tpo -c -o compat.lo compat.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I/usr/pkgsrc/security/libgcrypt/work/.buildlink/include -O2 -D_FORTIFY_SOURCE=2 -fvisibility=hidden -Wall -MT compat.lo -MD -MP -MF .deps/compat.Tpo -c compat.c  -fPIC -DPIC -o .libs/compat.o

...

/bin/sh ../libtool  --tag=CC    --mode=compile gcc -DHAVE_CONFIG_H  -I. -I..  -I../src -I../src -I/usr/pkg/include -I/usr/include  -I/usr/pkg/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -fvisibility=hidden -Wall -MT rijndael-armv8-ce.lo -MD -MP -MF .deps/rijndael-armv8-ce.Tpo -c -o rijndael-armv8-ce.lo rijndael-armv8-ce.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I/usr/pkgsrc/security/libgcrypt/work/.buildlink/include -O2 -D_FORTIFY_SOURCE=2 -fvisibility=hidden -Wall -MT rijndael-armv8-ce.lo -MD -MP -MF .deps/rijndael-armv8-ce.Tpo -c rijndael-armv8-ce.c  -fPIC -DPIC -o .libs/rijndael-armv8-ce.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I/usr/pkgsrc/security/libgcrypt/work/.buildlink/include -O2 -D_FORTIFY_SOURCE=2 -fvisibility=hidden -Wall -MT rijndael-armv8-ce.lo -MD -MP -MF .deps/rijndael-armv8-ce.Tpo -c rijndael-armv8-ce.c -o rijndael-armv8-ce.o >/dev/null 2>&1
mv -f .deps/rijndael-armv8-ce.Tpo .deps/rijndael-armv8-ce.Plo
/bin/sh ../libtool     --mode=compile gcc -DHAVE_CONFIG_H  -I. -I..  -I../src -I../src -I/usr/pkg/include -I/usr/include   -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -MT rijndael-armv8-aarch32-ce.lo -MD -MP -MF .deps/rijndael-armv8-aarch32-ce.Tpo -c -o rijndael-armv8-aarch32-ce.lo rijndael-armv8-aarch32-ce.S
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I/usr/pkgsrc/security/libgcrypt/work/.buildlink/include -O2 -D_FORTIFY_SOURCE=2 -MT rijndael-armv8-aarch32-ce.lo -MD -MP -MF .deps/rijndael-armv8-aarch32-ce.Tpo -c rijndael-armv8-aarch32-ce.S  -fPIC -DPIC -o .libs/rijndael-armv8-aarch32-ce.o
rijndael-armv8-aarch32-ce.S: Assembler messages:
rijndael-armv8-aarch32-ce.S:1165: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1165: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1165: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1165: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1165: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1166: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1166: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1166: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1166: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1166: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1167: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1167: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1167: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1167: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1167: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1339: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1339: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1339: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1339: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1339: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1340: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1340: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1340: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1340: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1340: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1341: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1341: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1341: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1341: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1341: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1492: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1492: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1492: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1492: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1492: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1493: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1493: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1493: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1493: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1493: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1494: Error: selected processor does not support ARM mode `rbit r8,lr'
rijndael-armv8-aarch32-ce.S:1494: Error: selected processor does not support ARM mode `rbit r9,r9'
rijndael-armv8-aarch32-ce.S:1494: Error: selected processor does not support ARM mode `rbit r10,r10'
rijndael-armv8-aarch32-ce.S:1494: Error: selected processor does not support ARM mode `rbit r11,r11'
rijndael-armv8-aarch32-ce.S:1494: Error: selected processor does not support ARM mode `rbit r8,lr'
*** Error code 1

Stop.
make[2]: stopped in /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0/cipher
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/security/libgcrypt/work/libgcrypt-1.8.0
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/security/libgcrypt
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/security/libgcrypt


Full build log: https://paste.debian.net/979038/
>How-To-Repeat:
On a Raspberry Pi B+:

# cd /usr/pkgsrc/security/libgcrypt/ && make clean && make

I commented out everything in my /etc/mk.conf just to be certain.
>Fix:

>Audit-Trail:
From: Leonardo Taccari <leot@NetBSD.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
Date: Mon, 31 Jul 2017 11:11:24 +0200

 Hello Marek,

 dusxmt@gmx.com writes:
 > >Number:         52444
 > >Category:       pkg
 > >Synopsis:       security/libgcrypt 1.8.0 fails to build on evbarmv6hf (=
 Raspberry Pi B+)
 > >Confidential:   no
 > >Severity:       critical
 > >Priority:       medium
 > >Responsible:    pkg-manager
 > >State:          open
 > >Class:          sw-bug
 > >Submitter-Id:   net
 > >Arrival-Date:   Mon Jul 31 07:50:00 +0000 2017
 > >Originator:     Marek Benc
 > >Release:        Current pkgsrc, 31. 7. 2017
 > >Organization:
 > >Environment:
 > NetBSD dooshki-raspi.homenetwork 7.1 NetBSD 7.1 (RPI.201703111743Z) evba=
 rm
 > >Description:
 > My machine fails to upgrade security/libgcrypt from 1.7.7 to 1.8.0.
 > =

 > It appears that it attempts to build some code hand-optimized for ARMv8 =
 (configure refers to it as "Try using ARMv8 crypto:    yes"), but my machi=
 ne is ARMv6, and the compiler catches it and aborts because of it.
 > =

 > [...]
 > config.status: executing gcrypt-conf commands
 >          =

 >         Libgcrypt v1.8.0 has been configured as follows:
 >          =

 >         Platform:                  NetBSD (armv6--netbsdelf-eabihf)
 >         Hardware detection module: hwf-arm
 > [...]
 >         Try using Intel AVX:       n/a
 >         Try using Intel AVX2:      n/a
 >         Try using ARM NEON:        yes
 >         Try using ARMv8 crypto:    yes
 >

 Can you please try the following patch?:

  https://www.NetBSD.org/~leot/pkgsrc-patches/libgcrypt-pkg52444.patch

 Also attached here in-line:

 -----------------8<-----------------8<-----------------8<-----------------
 Disable NEON and ARMv8 optimizations.

 Should address PR pkg/52444 reported by Marek Benc.

 Index: Makefile
 =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
 RCS file: /cvsroot/pkgsrc/security/libgcrypt/Makefile,v
 retrieving revision 1.91
 diff -u -p -r1.91 Makefile
 --- Makefile	23 Jul 2017 17:27:52 -0000	1.91
 +++ Makefile	31 Jul 2017 09:02:53 -0000
 @@ -54,6 +54,11 @@ CONFIGURE_ENV+=3D		gcry_cv_gcc_inline_asm_
  .  endif
  .endif
  =

 +.if ${MACHINE_ARCH} =3D=3D "arm"
 +CONFIGURE_ARGS+=3D	--disable-neon-support
 +CONFIGURE_ARGS+=3D	--disable-arm-crypto-support
 +.endif
 +
  SUBST_CLASSES+=3D		rpath
  SUBST_FILES.rpath=3D	src/libgcrypt-config.in
  SUBST_STAGE.rpath=3D	pre-configure

From: Marek Benc <dusxmt@gmx.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 (Raspberry Pi B+)
Date: Mon, 31 Jul 2017 12:59:13 +0200

 On 07/31/2017 11:15 AM, Leonardo Taccari wrote:
 > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 > 
 > From: Leonardo Taccari <leot@NetBSD.org>
 > To: gnats-bugs@NetBSD.org
 > Cc: 
 > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
 > Date: Mon, 31 Jul 2017 11:11:24 +0200
 > 
 >  Hello Marek,
 >  
 >  dusxmt@gmx.com writes:
 >  > >Number:         52444
 >  > >Category:       pkg
 >  > >Synopsis:       security/libgcrypt 1.8.0 fails to build on evbarmv6hf (=
 >  Raspberry Pi B+)
 >  > >Confidential:   no
 >  > >Severity:       critical
 >  > >Priority:       medium
 >  > >Responsible:    pkg-manager
 >  > >State:          open
 >  > >Class:          sw-bug
 >  > >Submitter-Id:   net
 >  > >Arrival-Date:   Mon Jul 31 07:50:00 +0000 2017
 >  > >Originator:     Marek Benc
 >  > >Release:        Current pkgsrc, 31. 7. 2017
 >  > >Organization:
 >  > >Environment:
 >  > NetBSD dooshki-raspi.homenetwork 7.1 NetBSD 7.1 (RPI.201703111743Z) evba=
 >  rm
 >  > >Description:
 >  > My machine fails to upgrade security/libgcrypt from 1.7.7 to 1.8.0.
 >  > =
 >  
 >  > It appears that it attempts to build some code hand-optimized for ARMv8 =
 >  (configure refers to it as "Try using ARMv8 crypto:    yes"), but my machi=
 >  ne is ARMv6, and the compiler catches it and aborts because of it.
 >  > =
 >  
 >  > [...]
 >  > config.status: executing gcrypt-conf commands
 >  >          =
 >  
 >  >         Libgcrypt v1.8.0 has been configured as follows:
 >  >          =
 >  
 >  >         Platform:                  NetBSD (armv6--netbsdelf-eabihf)
 >  >         Hardware detection module: hwf-arm
 >  > [...]
 >  >         Try using Intel AVX:       n/a
 >  >         Try using Intel AVX2:      n/a
 >  >         Try using ARM NEON:        yes
 >  >         Try using ARMv8 crypto:    yes
 >  >
 >  
 >  Can you please try the following patch?:
 >  
 >   https://www.NetBSD.org/~leot/pkgsrc-patches/libgcrypt-pkg52444.patch
 >  
 >  Also attached here in-line:
 >  

 Unfortunately, it didn't help: https://paste.debian.net/979056/

 However, when I changed

 .if ${MACHINE_ARCH} =3D=3D "arm"

 to

 .if ${MACHINE_ARCH} == "earmv6hf"

 The settings did get passed to configure, but it still decided to
 compile that file for some reason, thus failing:

 https://paste.debian.net/979057/

 >  -----------------8<-----------------8<-----------------8<-----------------
 >  Disable NEON and ARMv8 optimizations.
 >  
 >  Should address PR pkg/52444 reported by Marek Benc.
 >  
 >  Index: Makefile
 >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
 >  RCS file: /cvsroot/pkgsrc/security/libgcrypt/Makefile,v
 >  retrieving revision 1.91
 >  diff -u -p -r1.91 Makefile
 >  --- Makefile	23 Jul 2017 17:27:52 -0000	1.91
 >  +++ Makefile	31 Jul 2017 09:02:53 -0000
 >  @@ -54,6 +54,11 @@ CONFIGURE_ENV+=3D		gcry_cv_gcc_inline_asm_
 >   .  endif
 >   .endif
 >   =
 >  
 >  +.if ${MACHINE_ARCH} =3D=3D "arm"
 >  +CONFIGURE_ARGS+=3D	--disable-neon-support
 >  +CONFIGURE_ARGS+=3D	--disable-arm-crypto-support
 >  +.endif
 >  +
 >   SUBST_CLASSES+=3D		rpath
 >   SUBST_FILES.rpath=3D	src/libgcrypt-config.in
 >   SUBST_STAGE.rpath=3D	pre-configure
 >  
 > 

 -- 
 Marek

From: Marek Benc <dusxmt@gmx.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 (Raspberry Pi B+)
Date: Mon, 31 Jul 2017 13:06:55 +0200

 This might be interesting, the compile condition within
 libgcrypt-1.8.0/cipher/rijndael-armv8-aarch32-ce.S is:

 #if defined(HAVE_ARM_ARCH_V6) && defined(__ARMEL__) && \
     defined(HAVE_COMPATIBLE_GCC_ARM_PLATFORM_AS) && \
     defined(HAVE_GCC_INLINE_ASM_AARCH32_CRYPTO)

 Though obviously, this file requires armv8, not just armv6. Looking at
 config.in, it seems that ENABLE_ARM_CRYPTO_SUPPORT should be included in
 the condition to prevent it from being built, I'll try and see if it helps.

 On 07/31/2017 01:00 PM, Marek Benc wrote:
 > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 > 
 > From: Marek Benc <dusxmt@gmx.com>
 > To: gnats-bugs@NetBSD.org
 > Cc: 
 > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 >  (Raspberry Pi B+)
 > Date: Mon, 31 Jul 2017 12:59:13 +0200
 > 
 >  On 07/31/2017 11:15 AM, Leonardo Taccari wrote:
 >  > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 >  > 
 >  > From: Leonardo Taccari <leot@NetBSD.org>
 >  > To: gnats-bugs@NetBSD.org
 >  > Cc: 
 >  > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
 >  > Date: Mon, 31 Jul 2017 11:11:24 +0200
 >  > 
 >  >  Hello Marek,
 >  >  
 >  >  dusxmt@gmx.com writes:
 >  >  > >Number:         52444
 >  >  > >Category:       pkg
 >  >  > >Synopsis:       security/libgcrypt 1.8.0 fails to build on evbarmv6hf (=
 >  >  Raspberry Pi B+)
 >  >  > >Confidential:   no
 >  >  > >Severity:       critical
 >  >  > >Priority:       medium
 >  >  > >Responsible:    pkg-manager
 >  >  > >State:          open
 >  >  > >Class:          sw-bug
 >  >  > >Submitter-Id:   net
 >  >  > >Arrival-Date:   Mon Jul 31 07:50:00 +0000 2017
 >  >  > >Originator:     Marek Benc
 >  >  > >Release:        Current pkgsrc, 31. 7. 2017
 >  >  > >Organization:
 >  >  > >Environment:
 >  >  > NetBSD dooshki-raspi.homenetwork 7.1 NetBSD 7.1 (RPI.201703111743Z) evba=
 >  >  rm
 >  >  > >Description:
 >  >  > My machine fails to upgrade security/libgcrypt from 1.7.7 to 1.8.0.
 >  >  > =
 >  >  
 >  >  > It appears that it attempts to build some code hand-optimized for ARMv8 =
 >  >  (configure refers to it as "Try using ARMv8 crypto:    yes"), but my machi=
 >  >  ne is ARMv6, and the compiler catches it and aborts because of it.
 >  >  > =
 >  >  
 >  >  > [...]
 >  >  > config.status: executing gcrypt-conf commands
 >  >  >          =
 >  >  
 >  >  >         Libgcrypt v1.8.0 has been configured as follows:
 >  >  >          =
 >  >  
 >  >  >         Platform:                  NetBSD (armv6--netbsdelf-eabihf)
 >  >  >         Hardware detection module: hwf-arm
 >  >  > [...]
 >  >  >         Try using Intel AVX:       n/a
 >  >  >         Try using Intel AVX2:      n/a
 >  >  >         Try using ARM NEON:        yes
 >  >  >         Try using ARMv8 crypto:    yes
 >  >  >
 >  >  
 >  >  Can you please try the following patch?:
 >  >  
 >  >   https://www.NetBSD.org/~leot/pkgsrc-patches/libgcrypt-pkg52444.patch
 >  >  
 >  >  Also attached here in-line:
 >  >  
 >  
 >  Unfortunately, it didn't help: https://paste.debian.net/979056/
 >  
 >  However, when I changed
 >  
 >  .if ${MACHINE_ARCH} =3D=3D "arm"
 >  
 >  to
 >  
 >  .if ${MACHINE_ARCH} == "earmv6hf"
 >  
 >  The settings did get passed to configure, but it still decided to
 >  compile that file for some reason, thus failing:
 >  
 >  https://paste.debian.net/979057/
 >  
 >  >  -----------------8<-----------------8<-----------------8<-----------------
 >  >  Disable NEON and ARMv8 optimizations.
 >  >  
 >  >  Should address PR pkg/52444 reported by Marek Benc.
 >  >  
 >  >  Index: Makefile
 >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
 >  >  RCS file: /cvsroot/pkgsrc/security/libgcrypt/Makefile,v
 >  >  retrieving revision 1.91
 >  >  diff -u -p -r1.91 Makefile
 >  >  --- Makefile	23 Jul 2017 17:27:52 -0000	1.91
 >  >  +++ Makefile	31 Jul 2017 09:02:53 -0000
 >  >  @@ -54,6 +54,11 @@ CONFIGURE_ENV+=3D		gcry_cv_gcc_inline_asm_
 >  >   .  endif
 >  >   .endif
 >  >   =
 >  >  
 >  >  +.if ${MACHINE_ARCH} =3D=3D "arm"
 >  >  +CONFIGURE_ARGS+=3D	--disable-neon-support
 >  >  +CONFIGURE_ARGS+=3D	--disable-arm-crypto-support
 >  >  +.endif
 >  >  +
 >  >   SUBST_CLASSES+=3D		rpath
 >  >   SUBST_FILES.rpath=3D	src/libgcrypt-config.in
 >  >   SUBST_STAGE.rpath=3D	pre-configure
 >  >  
 >  > 
 >  
 >  -- 
 >  Marek
 >  
 > 

 -- 
 Marek

From: Marek Benc <dusxmt@gmx.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 (Raspberry Pi B+)
Date: Mon, 31 Jul 2017 14:05:47 +0200

 Okay, that did indeed work, here's an updated diff:
 https://paste.debian.net/979063/

 Perhaps the MACHINE_ARCH check could be expanded to "*arm*", but I'm
 merely a newbie, so it's not for me to decide :)

 On 07/31/2017 01:10 PM, Marek Benc wrote:
 > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 > 
 > From: Marek Benc <dusxmt@gmx.com>
 > To: gnats-bugs@NetBSD.org
 > Cc: 
 > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 >  (Raspberry Pi B+)
 > Date: Mon, 31 Jul 2017 13:06:55 +0200
 > 
 >  This might be interesting, the compile condition within
 >  libgcrypt-1.8.0/cipher/rijndael-armv8-aarch32-ce.S is:
 >  
 >  #if defined(HAVE_ARM_ARCH_V6) && defined(__ARMEL__) && \
 >      defined(HAVE_COMPATIBLE_GCC_ARM_PLATFORM_AS) && \
 >      defined(HAVE_GCC_INLINE_ASM_AARCH32_CRYPTO)
 >  
 >  Though obviously, this file requires armv8, not just armv6. Looking at
 >  config.in, it seems that ENABLE_ARM_CRYPTO_SUPPORT should be included in
 >  the condition to prevent it from being built, I'll try and see if it helps.
 >  
 >  On 07/31/2017 01:00 PM, Marek Benc wrote:
 >  > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 >  > 
 >  > From: Marek Benc <dusxmt@gmx.com>
 >  > To: gnats-bugs@NetBSD.org
 >  > Cc: 
 >  > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 >  >  (Raspberry Pi B+)
 >  > Date: Mon, 31 Jul 2017 12:59:13 +0200
 >  > 
 >  >  On 07/31/2017 11:15 AM, Leonardo Taccari wrote:
 >  >  > The following reply was made to PR pkg/52444; it has been noted by GNATS.
 >  >  > 
 >  >  > From: Leonardo Taccari <leot@NetBSD.org>
 >  >  > To: gnats-bugs@NetBSD.org
 >  >  > Cc: 
 >  >  > Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf (Raspberry Pi B+)
 >  >  > Date: Mon, 31 Jul 2017 11:11:24 +0200
 >  >  > 
 >  >  >  Hello Marek,
 >  >  >  
 >  >  >  dusxmt@gmx.com writes:
 >  >  >  > >Number:         52444
 >  >  >  > >Category:       pkg
 >  >  >  > >Synopsis:       security/libgcrypt 1.8.0 fails to build on evbarmv6hf (=
 >  >  >  Raspberry Pi B+)
 >  >  >  > >Confidential:   no
 >  >  >  > >Severity:       critical
 >  >  >  > >Priority:       medium
 >  >  >  > >Responsible:    pkg-manager
 >  >  >  > >State:          open
 >  >  >  > >Class:          sw-bug
 >  >  >  > >Submitter-Id:   net
 >  >  >  > >Arrival-Date:   Mon Jul 31 07:50:00 +0000 2017
 >  >  >  > >Originator:     Marek Benc
 >  >  >  > >Release:        Current pkgsrc, 31. 7. 2017
 >  >  >  > >Organization:
 >  >  >  > >Environment:
 >  >  >  > NetBSD dooshki-raspi.homenetwork 7.1 NetBSD 7.1 (RPI.201703111743Z) evba=
 >  >  >  rm
 >  >  >  > >Description:
 >  >  >  > My machine fails to upgrade security/libgcrypt from 1.7.7 to 1.8.0.
 >  >  >  > =
 >  >  >  
 >  >  >  > It appears that it attempts to build some code hand-optimized for ARMv8 =
 >  >  >  (configure refers to it as "Try using ARMv8 crypto:    yes"), but my machi=
 >  >  >  ne is ARMv6, and the compiler catches it and aborts because of it.
 >  >  >  > =
 >  >  >  
 >  >  >  > [...]
 >  >  >  > config.status: executing gcrypt-conf commands
 >  >  >  >          =
 >  >  >  
 >  >  >  >         Libgcrypt v1.8.0 has been configured as follows:
 >  >  >  >          =
 >  >  >  
 >  >  >  >         Platform:                  NetBSD (armv6--netbsdelf-eabihf)
 >  >  >  >         Hardware detection module: hwf-arm
 >  >  >  > [...]
 >  >  >  >         Try using Intel AVX:       n/a
 >  >  >  >         Try using Intel AVX2:      n/a
 >  >  >  >         Try using ARM NEON:        yes
 >  >  >  >         Try using ARMv8 crypto:    yes
 >  >  >  >
 >  >  >  
 >  >  >  Can you please try the following patch?:
 >  >  >  
 >  >  >   https://www.NetBSD.org/~leot/pkgsrc-patches/libgcrypt-pkg52444.patch
 >  >  >  
 >  >  >  Also attached here in-line:
 >  >  >  
 >  >  
 >  >  Unfortunately, it didn't help: https://paste.debian.net/979056/
 >  >  
 >  >  However, when I changed
 >  >  
 >  >  .if ${MACHINE_ARCH} =3D=3D "arm"
 >  >  
 >  >  to
 >  >  
 >  >  .if ${MACHINE_ARCH} == "earmv6hf"
 >  >  
 >  >  The settings did get passed to configure, but it still decided to
 >  >  compile that file for some reason, thus failing:
 >  >  
 >  >  https://paste.debian.net/979057/
 >  >  
 >  >  >  -----------------8<-----------------8<-----------------8<-----------------
 >  >  >  Disable NEON and ARMv8 optimizations.
 >  >  >  
 >  >  >  Should address PR pkg/52444 reported by Marek Benc.
 >  >  >  
 >  >  >  Index: Makefile
 >  >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
 >  >  >  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
 >  >  >  RCS file: /cvsroot/pkgsrc/security/libgcrypt/Makefile,v
 >  >  >  retrieving revision 1.91
 >  >  >  diff -u -p -r1.91 Makefile
 >  >  >  --- Makefile	23 Jul 2017 17:27:52 -0000	1.91
 >  >  >  +++ Makefile	31 Jul 2017 09:02:53 -0000
 >  >  >  @@ -54,6 +54,11 @@ CONFIGURE_ENV+=3D		gcry_cv_gcc_inline_asm_
 >  >  >   .  endif
 >  >  >   .endif
 >  >  >   =
 >  >  >  
 >  >  >  +.if ${MACHINE_ARCH} =3D=3D "arm"
 >  >  >  +CONFIGURE_ARGS+=3D	--disable-neon-support
 >  >  >  +CONFIGURE_ARGS+=3D	--disable-arm-crypto-support
 >  >  >  +.endif
 >  >  >  +
 >  >  >   SUBST_CLASSES+=3D		rpath
 >  >  >   SUBST_FILES.rpath=3D	src/libgcrypt-config.in
 >  >  >   SUBST_STAGE.rpath=3D	pre-configure
 >  >  >  
 >  >  > 
 >  >  
 >  >  -- 
 >  >  Marek
 >  >  
 >  > 
 >  
 >  -- 
 >  Marek
 >  
 > 

 -- 
 Marek

From: David Holland <dholland-pbugs@netbsd.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52444: security/libgcrypt 1.8.0 fails to build on evbarmv6hf
 (Raspberry Pi B+)
Date: Sat, 28 Apr 2018 08:13:44 +0000

 On Mon, Jul 31, 2017 at 11:10:00AM +0000, Marek Benc wrote:
  >  This might be interesting, the compile condition within
  >  libgcrypt-1.8.0/cipher/rijndael-armv8-aarch32-ce.S is:
  >  
  >  #if defined(HAVE_ARM_ARCH_V6) && defined(__ARMEL__) && \
  >      defined(HAVE_COMPATIBLE_GCC_ARM_PLATFORM_AS) && \
  >      defined(HAVE_GCC_INLINE_ASM_AARCH32_CRYPTO)
  >  
  >  Though obviously, this file requires armv8, not just armv6. Looking at
  >  config.in, it seems that ENABLE_ARM_CRYPTO_SUPPORT should be included in
  >  the condition to prevent it from being built, I'll try and see if it helps.

 Is the problem that it ought to be HAVE_ARM_ARCH_V8?

 -- 
 David A. Holland
 dholland@netbsd.org

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.43 2018/01/16 07:36:43 maya Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2017 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.